Bug 432295 - ppmpat drops tons of corefiles
ppmpat drops tons of corefiles
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 20:36 EST by Scott R. Godin
Modified: 2013-07-02 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 12:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
one of the several corefiles listed above, gzipped. (43.38 KB, application/octet-stream)
2008-02-10 20:36 EST, Scott R. Godin
no flags Details

  None (edit)
Description Scott R. Godin 2008-02-10 20:36:59 EST
Description of problem: ppmpat is dumping core so frequently that in order to 
weed it out and examine other coredumps in the directory I've taken to using 

file core* |grep ppmpat |cut -d: -f1 |xargs rm  

in order to delete them all.

I do not know which component is calling ppmpat to cause the coredumps.


Version-Release number of selected component (if applicable):
$ rpm -q netpbm-progs
netpbm-progs-10.35.32-2.fc8
(ppmpat is part of netpbm-progs)

8:32pm {8} localhost:/home/scott.g>$ rpm -q netpbm
netpbm-10.35.32-2.fc8


How reproducible: constantly


Steps to Reproduce:
1. hang around and wait, and do stuff. I honestly don't know what's calling 
ppmpat in order to generate all of these things.
2.
3.
  
Actual results:
8:33pm {10} localhost:/home/scott.g>$ file core*
core.10158: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.10258: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.10644: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.11095: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.11856: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.11874: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.11964: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.12230: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.12395: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.13774: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.16671: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.17186: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.17705: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.19696: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.20396: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
core.20484: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-
style, from 'ppmpat'
8:33pm {11} localhost:/home/scott.g>$ ll -h core*
-rw------- 1 scott.g scott.g  13M 2008-02-10 16:31 core.10158
-rw------- 1 scott.g scott.g 2.5M 2008-02-10 16:32 core.10258
-rw------- 1 scott.g scott.g 308K 2008-02-10 16:33 core.10644
-rw------- 1 scott.g scott.g 1.7M 2008-02-10 16:34 core.11095
-rw------- 1 scott.g scott.g 1.4M 2008-02-10 16:37 core.11856
-rw------- 1 scott.g scott.g 2.2M 2008-02-10 16:37 core.11874
-rw------- 1 scott.g scott.g  13M 2008-02-10 16:37 core.11964
-rw------- 1 scott.g scott.g 976K 2008-02-10 16:38 core.12230
-rw------- 1 scott.g scott.g  13M 2008-02-10 16:39 core.12395
-rw------- 1 scott.g scott.g 1.7M 2008-02-10 16:43 core.13774
-rw------- 1 scott.g scott.g 2.5M 2008-02-10 14:25 core.16671
-rw------- 1 scott.g scott.g 2.3M 2008-02-10 14:27 core.17186
-rw------- 1 scott.g scott.g 1.8M 2008-02-10 14:28 core.17705
-rw------- 1 scott.g scott.g 776K 2008-02-10 14:34 core.19696
-rw------- 1 scott.g scott.g 3.9M 2008-02-10 14:37 core.20396
-rw------- 1 scott.g scott.g 604K 2008-02-10 14:37 core.20484


Expected results:
""

Additional info:

I will be happy to attach any or all of these corefiles for your perusal.
Comment 1 Scott R. Godin 2008-02-10 20:36:59 EST
Created attachment 294529 [details]
one of the several corefiles listed above, gzipped.
Comment 2 Bug Zapper 2008-11-26 04:46:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Scott R. Godin 2008-12-15 12:37:07 EST
rpm -q netpbm-progs
netpbm-progs-10.35.48-1.fc8

Seems to have resolved this issue.

Note You need to log in before you can comment on or make changes to this bug.